Subject: bug#32445: 26.1; emacs for windows crashes when using it fullscreen on a high resolution (~2560*1440) display

From: Dhruwat Bhagat <[email-masked]>
Date: Wed, 15 Aug 2018 11:50:16 +0530

I am using emacs 26.1. My operation system is Windows 7 and my monitor's 
resolution is 2560*1440.
When I start emacs on this monitor, it crashes with a fatal error.
I got the following backtrace when I tried to replicate this issue
today:

Backtrace:
000000040017ef20
00000004000a87a1
00000004000c0f96
00000004000c1be4
00000004001d0a2f
00000000775c85a0
00000000775d9d05
00000000775c91a7
0000000077601270
00000004001aaa5a
00000004001aad05
0000000400004b38
00000004000080d7
0000000400009608
000000040003eea8
00000004000b2a72
00000004000b5f6a
00000004000b7a09
0000000400118bd5
00000004000a8dbc
0000000400118b43
00000004000a8d46
00000004000ada35
00000004000add94
00000004001e0aa0
00000004000013bf
00000004000014f3
00000000774a6525
00000000775dc519

This application has requested the Runtime to terminate it in an unusual
way.
Please contact the application's support team for more information.

In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
  of 2018-05-30 built on CIRROCUMULUS
Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
(New file)
funcall-interactively: End of buffer [3 times]

Configured using:
  'configure --without-dbus --host=x86_64-w64-mingw32
  --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
   value of $LANG: ENU
   locale-coding-system: cp1252

Major mode: JavaScript

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils js advice sgml-mode dom json
map seq byte-opt gv bytecomp byte-compile cconv imenu thingatpt cc-mode
cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs cl-loaddefs cl-lib term/w32console time-date elec-pair
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote w32notify w32 lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 121172 12583)
  (symbols 56 23190 1)
  (miscs 48 36 87)
  (strings 32 37580 1139)
  (string-bytes 1 1109868)
  (vectors 16 15409)
  (vector-slots 8 483945 10208)
  (floats 8 52 204)
  (intervals 56 205 0)
  (buffers 992 12))